bearerAuth Bearer Token (JWT) MasDevices
| Recurso | Descripción |
|---|---|
| DeviceHistory | API for retrieving device history information |
| DeviceSimHistory | API for retrieving device SIM history information |
bearerAuth Bearer Token (JWT) MasDevices
| Recurso | Descripción |
|---|---|
| DeviceHistory | API for retrieving device history information |
| DeviceSimHistory | API for retrieving device SIM history information |
Show device history. If a period is not specified, this service will offer device history details for the last 90 days.
PATH PARAMETERS
Executes the request in the context of the given organization
The MSISDN of the device history we want to retrieve.
QUERY PARAMETERS
From datetime used as filter
To datetime used as filter
The date reference field to take into account when looking for the defined (or default) period.
The order in which to return the results, based on the specified time reference.
If true, only the first device change in the specified (or default) period will be returned.
OK Device history retrieved successfully. If the device history is empty for the specified/default period, an empty list will be returned.
{
"msisdn": "612345678",
"deviceHistory": [
{
"imei": "123456789012345",
"tenant": "test-org",
"is_device_change": true,
"first_seen": "2024-09-09T00:00:00Z",
"last_seen": "2024-09-09T00:00:00Z"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
msisdn* | string | The MSISDN of the device. | ||||||||||||||||||||||||||||||||
deviceHistory* | object[] | List of device history entries. | ||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"error": "string",
"message": "string",
"trace_id": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
error | string | |||
message | string | |||
trace_id | string |
curl -X GET 'https://devices.masstack.com/v1/orgs/masmovil/deviceHistory/:msisdn?fromDate=2021-10-10T22%3A00%3A00Z&toDate=2021-10-20T22%3A00%3A00Z&dateReference=last_seen&sort=DESC&onlyFirstDeviceChange=false' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Show device SIM history. If a period is not specified, this service will offer device sim history details for the last 90 days.
PATH PARAMETERS
Executes the request in the context of the given organization
The MSISDN of the device history we want to retrieve.
QUERY PARAMETERS
From datetime used as filter
To datetime used as filter
OK Device sim history retrieved successfully. If the device SIM history is empty for the specified/default period, an empty list will be returned.
{
"msisdn": "612345678",
"deviceSimHistory": [
{
"imsi": "123456789012345",
"tenant": "test-org",
"first_seen": "2024-09-09T00:00:00Z",
"last_seen": "2024-09-09T00:00:00Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
msisdn* | string | The MSISDN of the device. | |||||||||||||||||||||||||||
deviceSimHistory* | object[] | List of device SIM history entries. | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"error": "string",
"message": "string",
"trace_id": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
error | string | |||
message | string | |||
trace_id | string |
curl -X GET 'https://devices.masstack.com/v1/orgs/masmovil/deviceSimHistory/:msisdn?fromDate=2021-10-10T22%3A00%3A00Z&toDate=2021-10-20T22%3A00%3A00Z' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json'